# 文档说明，请务必细读

## 1、主机地址
- 接口主机地址：
``` api
	${sa_doc_cfg.server_url}
```



## 2、介绍
- 本文档依据[sa-doc](https://github.com/click33/sa-doc)编写，不依赖任何第三方工具，不存在任何【可移植性】方面的问题
- 只要你电脑上有一个可以预览html文件的软件，就可以查看它 (比如：hbuilderX、webstorm、vscode...)


## 3、文档格式说明 
- 所有接口如无特殊说明，都会返回类似下面的json格式
``` js
	{
        "code": 200,		// 状态码
        "msg": "ok"			// 返回描述
        "data": null		// 携带数据：一般在查询时有值
        "dataCount": null		// 数据总数：一般在分页查询时有值
	}
```
- 关于状态码 code，一般情况下含义如下
``` 
	200	请求成功
	500	请求失败，带有错误信息
	501	请求失败，带有警告信息
	403	权限不足，此接口需要具备相应的权限才能访问
	401	未登录，此接口在登录后才能访问
	
	code=501与code=500不同点可以这样理解：在失败程度上警告比错误要小，两者类似于打日志时Warning和Error的区别（因此你在将错误信息显示给用户的时候，两者的显示方式也应该是不一样的）
```

- 可以看出，如果每个ajax都要判断一下上述的code码值来处理逻辑，那简直要繁琐死了！
- 因此，你最好不要直接调用ajax，而是在ajax的基础上再封装一层函数，让它可以自动化处理部分状态，
- 因为，你很容易就可以看出，像999、998这种状态码每次处理的方式都是一样的，甚至于大部分情况下501和500也是一样的，
- 因此，你绝对不应该来回复制粘贴代码来处理这种情况，一定要封装成一个公共函数，以备调用
- 而且，请注意，这个函数已经被编写出来了，你可以在后台管理模块的static文件夹下找到一个叫做sa.js的文件，
- 这个文件中有个函数叫做sa.ajax ,它就是 专门处理这件事情的，请看一下下面的示例，这是封装后的调用 方式
``` js
	sa.ajax('/SysUser/getById?id=' + 10001, function(res){
        console.log(res.data);
	});
	// 可以看出，非常简单啦！几乎去除了所有不必要的重复代码，这种代码不仅书写方便 ，而且可以最大程度的降低你代码腐烂的速度 
```

- 注意：因为大多数接口的返回值，没有太多信息，都类似这样：code=200成功，code=500失败，因此像这样简单的说明，就直接省略掉不写了 














