# 追加参数


### 追加参数是指？
- 在上一章，有一个例子：
``` js
	`[text j=like]`		-- 其中： `text` 字段类型声明, `j=like` 是额外追加的参数
```

- 通过追加额外的参数，你还可以指定一些特殊功能，例如: 
``` js
	`[text no-add=true]` 	-- 代表此字段，在`添加/修改`页里，不显示
```

- 为方便书写，取值为true的时候，可以使用简写模式：
``` js 
	`[text no-add=true]` -- 可以简写为 `[text no-add]`
```

- 如果其需要多个参数，也很简单，只需要按照如下格式：
``` js 
	`[xxx a=1, b=2, c=3]`
```
- 那么，都有哪些参数呢？

### 所有追加参数


| 声明		| 说明													| 详见		|
| :--------	| :--------												| :--------	|
| `j`		| 在`[text]`字段里，声明 `j=like`，代表此字段为模糊查询		| 无		|
| `no-add`| 此字段在 `添加/修改`页面，不显示							| 无		|
| `no-s`| 此字段在 `查询页`页面的`搜索条件`中，不显示							| 无		|
| `no-show`| 此字段在 `查询页`页面的`列表`中，不显示							| 无		|
| `no-sort`| 此字段不参与排序条件										| 无		|
| `click`| 此字段增加一个点击事件，点击后打开数据详情						| [click](#-click-单击打开详情)		|


### 类型详解

##### - click 单击打开详情
- 例如如下声明 (此click属性替代原先的fk-2方案)
``` js
	`user_id` bigint(20) COMMENT '用户id [num click=sys_user.id]',
```
代表：点击user_id字段时，打开数据详情，展示的是`sys_user`的`id=此列数值`的数据 


**更多参数请参考对应批注，本处只介绍通用参数**

